GDB (xrefs)

Classes | Functions | Variables
py-record.h File Reference
`#include "inferior.h"`
`#include "python-internal.h"`
`#include "record.h"`

Go to the source code of this file.

## Classes
struct | recpy_record_object
struct | recpy_element_object

## Functions
PyObject * | recpy_insn_new (ptid_t ptid, enum record_method method, Py_ssize_t number)
PyObject * | recpy_func_new (ptid_t ptid, enum record_method method, Py_ssize_t number)
PyObject * | recpy_gap_new (int reason_code, const char *reason_string, Py_ssize_t number)

## Variables
PyTypeObject | recpy_insn_type
PyTypeObject | recpy_func_type

## Function Documentation

## ◆ recpy_func_new()

PyObject* recpy_func_new | ( | ptid_t | ptid,
|  | enum record_method | method,
|  | Py_ssize_t | number
| ) |  |

Definition at line 275 of file py-record.c.

References recpy_element_object::method, recpy_element_object::number, recpy_element_object::ptid, and recpy_func_type.

Referenced by btpy_list_item(), recpy_bt_func_next(), recpy_bt_func_prev(), and recpy_bt_func_up().

## ◆ recpy_gap_new()

PyObject* recpy_gap_new | ( | int | reason_code,
|  | const char * | reason_string,
|  | Py_ssize_t | number
| ) |  |

Definition at line 434 of file py-record.c.

References recpy_gap_object::number, recpy_gap_object::reason_code, recpy_gap_object::reason_string, and recpy_gap_type.

Referenced by btpy_insn_or_gap_new().

## ◆ recpy_insn_new()

PyObject* recpy_insn_new | ( | ptid_t | ptid,
|  | enum record_method | method,
|  | Py_ssize_t | number
| ) |  |

Definition at line 179 of file py-record.c.

References recpy_element_object::method, recpy_element_object::number, recpy_element_object::ptid, and recpy_insn_type.

Referenced by btpy_insn_or_gap_new(), and btpy_list_item().

## Variable Documentation

## ◆ recpy_func_type

PyTypeObject recpy_func_type

Definition at line 41 of file py-record.c.

Referenced by btrace_func_from_recpy_func(), gdbpy_initialize_record(), recpy_bt_function_call_history(), and recpy_func_new().

## ◆ recpy_insn_type

PyTypeObject recpy_insn_type

Definition at line 35 of file py-record.c.

Referenced by btpy_list_item(), btrace_insn_from_recpy_insn(), gdbpy_initialize_record(), recpy_bt_func_instructions(), recpy_bt_goto(), recpy_bt_instruction_history(), and recpy_insn_new().